org.eclipse.microprofile.fault.tolerance.tck.config

## Class RetryConfigBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.config.RetryConfigBean

    @ApplicationScoped
    public class RetryConfigBean
    extends Object

Suite of methods for testing the various parameters of Retry

### Constructor Summary

Constructors
Constructor and Description
`RetryConfigBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `serviceAbortOn(RuntimeException e, AtomicInteger counter)`
`void` `serviceDelay()`
`void` `serviceJitter()` Method to detect whether jitter is enabled
`void` `serviceMaxDuration()`
`void` `serviceMaxRetries(AtomicInteger counter)`
`void` `serviceRetryOn(RuntimeException e, AtomicInteger counter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetryConfigBean

    public RetryConfigBean()

### Method Detail

#### serviceMaxRetries

    @Retry(delay=0L,
           jitter=0L)
    public void serviceMaxRetries(AtomicInteger counter)

#### serviceMaxDuration

    @Retry(maxDuration=10000L,
           durationUnit=MILLIS,
           maxRetries=10000,
           delay=200L,
           jitter=0L)
    public void serviceMaxDuration()

#### serviceDelay

    @Retry(maxRetries=5,
           delay=2L,
           delayUnit=SECONDS,
           jitter=0L)
    public void serviceDelay()

#### serviceRetryOn

    @Retry(maxRetries=1,
           delay=0L,
           jitter=0L)
    public void serviceRetryOn(RuntimeException e,
                                                                                       AtomicInteger counter)

#### serviceAbortOn

    @Retry(retryOn={TestConfigExceptionA.class,TestConfigExceptionB.class},
           abortOn=java.lang.RuntimeException.class,
           maxRetries=1,
           delay=0L,
           jitter=0L)
    public void serviceAbortOn(RuntimeException e,
                                                                                                                                                                                                                AtomicInteger counter)

#### serviceJitter

    @Retry(abortOn=TestConfigExceptionA.class,
           delay=0L,
           jitter=0L,
           maxRetries=1000,
           maxDuration=10L,
           durationUnit=SECONDS)
    public void serviceJitter()

Method to detect whether jitter is enabled

Will throw TestConfigExceptionA if a delay > 100ms is detected.

Otherwise will throw TestException which will cause a retry.

Limited to 10 seconds or 1000 retries, but will stop as soon as a delay of > 100ms is observed.